Skip to navigation

Submit onboarding data

Submit onboarding data for applicants to pre-fill their Mercury application

Authentication

AuthorizationBearer

Bearer token authentication for Mercury API.

Use your API token in the Authorization header: Authorization: Bearer TOKEN

Example: Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem

Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.

Request

This endpoint expects an object.
beneficialOwnerslist of objectsRequired
partnerstringRequired
aboutobject or nullOptional
Information about the business being onboarded.
applicationTypeenum or nullOptional
Allowed values:
businessContactDetailsobject or nullOptional
Business contact details for onboarding.
businessLegalAddressobject or nullOptional
Business address information for onboarding.
businessPhysicalAddressobject or nullOptional
Business address information for onboarding.
formationDetailsobject or nullOptional
Business formation and incorporation details for onboarding.
inviteEmailstring or nullOptional
An email address.
webhookURLstring or nullOptional

Response

onboardingDataIdstringformat: "uuid"
ID for this saved onboarding data

Errors

400
Bad Request Error